I was having the same trouble make sure that you have kernel headers installed (linux-headers-3.5.0-xx) with the 'xx' being whatever its asking for (in your case 22) hope i helped you out in some way...